Skip to navigation

Get Assessment Packages

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This API endpoint is used to retrieve assessment packages configured within Paylocity’s platform for a specific companyId.

Use Cases

  • Retrieve Packages: Fetch a list of all assessment packages available for a specific Paylocity client by using the companyId
  • Response Details: The API provides a count of packages and detailed information about each one, including IDs, status, summaries, names, and associated assessments and tests

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

offsetintegerOptional

Pagination offset. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

limitintegerOptional

Pagination limit, default value is 20. Used together with offset for offset/limit pagination.

includeTotalCountbooleanOptional

If true, adds X-Pcty-Total-Count header with the total count of results for the query.

Response headers

X-Pcty-Total-Countinteger

When the request sets includeTotalCount=true, the API returns this header with the total number of resources available (even if only one page is returned).

Response

Successful response

Errors

401
Unauthorized Error